package fsir.tqqe

import android.graphics.Color
import androidx.activity.OnBackPressedCallback
import androidx.core.view.updatePadding
import com.blankj.utilcode.util.BarUtils
import com.test.basd.supercleanermax.databinding.ObirwhBinding
import pxds.lmmd.zmwf.Bpfw
import pxds.lmmd.zmwf.Khko.setTrackedOnClickListener
import pxds.lmmd.zmwf.jyyf.hwbn.wzxb.Utdc

class Mhoo : Bpfw<ObirwhBinding>(), Moaw {

    override val binding: ObirwhBinding by lazy {
        ObirwhBinding.inflate(layoutInflater)
    }

    private var mPhotoListManager: Gqbi? = null

    override val isLightMode =true

    override fun initView() {
        BarUtils.setStatusBarColor(this, Color.TRANSPARENT)
        binding.root.updatePadding(top = BarUtils.getStatusBarHeight())
        binding.axywelq.setTrackedOnClickListener {
            onBackPressedDispatcher.onBackPressed()
        }
        onBackPressedDispatcher.addCallback(object : OnBackPressedCallback(true) {
            override fun handleOnBackPressed() {
                Utdc.showInterstitialAd(this@Mhoo){
                    Gtor.getInstance().clearCache()
                    finishToMain()
                }

            }
        })
        mActivity = this
        mPhotoListManager = Gqbi(this)
        Tdnh(this, this)
    }

    override fun onSelectAlbum(albums: Kikc) {
        mPhotoListManager?.onSelectAlbum(albums)
    }

    companion object {
        var mActivity: Mhoo? = null
    }

    override fun onBackPressed() {
        Gtor.getInstance().clearCache()
        super.onBackPressed()
    }
}